# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateCategoryRoutedAlias

Packages that use CollectionAdminRequest.CreateCategoryRoutedAlias
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.CreateCategoryRoutedAlias in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.CreateCategoryRoutedAlias
Modifier and Type
Method
Description
`static CollectionAdminRequest.CreateCategoryRoutedAlias`
CollectionAdminRequest.`createCategoryRoutedAlias(String aliasName, String routerField, int maxCardinality, CollectionAdminRequest.Create createCollTemplate)`
Returns a SolrRequest to create a category routed alias.
`CollectionAdminRequest.CreateCategoryRoutedAlias`
CollectionAdminRequest.CreateCategoryRoutedAlias.`setMustMatch(String regex)`